> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usenash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bulk Order Response

> Get the response from an asynchronous bulk order operation.



## OpenAPI

````yaml get /v1/orders/bulk/{id}
openapi: 3.1.0
info:
  title: Nash API
  version: 1.0.0
servers:
  - url: https://api.sandbox.usenash.com
    description: Sandbox API
  - url: https://api.sandbox.ap-southeast-2.usenash.com
    description: Sandbox API (Australia)
  - url: https://api.usenash.com
    description: Production API
  - url: https://api.ap-southeast-2.usenash.com
    description: Production API (Australia)
security: []
tags:
  - name: Notifications
    description: Notifications
    x-nash-topic: config
  - name: Annotate
    description: Annotate
    x-nash-topic: wismo
  - name: Notifications — Send
    description: One-off notification send without a NotificationTrigger.
    x-nash-topic: notifications
  - name: Shipping
    description: Shipping operations
    x-nash-topic: shipping
  - name: Workflow
    description: Workflow automation management
    x-nash-topic: scheduling
  - name: Workflow Execution
    description: Workflow execution history and monitoring
    x-nash-topic: scheduling
  - name: Optimization Strategies
    description: Create, read, update, and delete route optimization strategies.
    x-nash-topic: scheduling
  - name: AI Agents
    description: AI agent management — create, read, update, and delete agents
    x-nash-topic: config
  - name: AI Functions
    description: LLM-backed domain tools
    x-nash-topic: ai
  - name: Webhooks
    description: Webhook delivery inspection
    x-nash-topic: webhooks
  - name: Fleet Simulator
    description: Simulate delivery status transitions in dev and sandbox environments.
    x-nash-topic: testing
  - name: Miscellaneous
    description: Miscellaneous
  - name: Job
    description: Job
    x-nash-topic: wismo
  - name: Batch Job
    description: Batch Job
    x-nash-topic: wismo
  - name: Order
    description: Order
    x-nash-topic: wismo
  - name: Route
    description: Route
    x-nash-topic: scheduling
  - name: Provider
    description: Provider
    x-nash-topic: provider
  - name: Dispatch Strategies
    description: Dispatch Strategies
    x-nash-topic: scheduling
  - name: Store Locations
    description: Store Locations
    x-nash-topic: config
  - name: Vehicles
    description: Vehicles
    x-nash-topic: provider
  - name: Couriers
    description: Couriers
    x-nash-topic: provider
  - name: Shifts
    description: Shifts
    x-nash-topic: provider
  - name: Delivery Windows
    description: Delivery Windows
    x-nash-topic: config
  - name: Templates
    description: Templates
    x-nash-topic: config
  - name: Zones
    description: Zones
    x-nash-topic: config
  - name: Feedback
    description: Feedback
    x-nash-topic: reporting
  - name: Organizations
    description: Organizations
    x-nash-topic: config
  - name: Store Catalog
    description: Store Catalog
    x-nash-topic: config
  - name: Messaging
    description: Messaging
    x-nash-topic: config
  - name: Contracts
    description: Provider contract pricing and version listings
    x-nash-topic: provider
  - name: Event Timeline
    description: Entity-scoped event timeline + outbound provider traffic for one entity.
    x-nash-topic: internal
  - name: Fleet
    description: Inbound endpoints fleets call to update in-flight deliveries.
    x-nash-topic: delivery
  - name: Route Restrictions
    description: Org-scoped geographic areas the route optimizer must avoid traversing.
    x-nash-topic: config
  - name: Users
    description: User, role, and organization-membership management.
    x-nash-topic: config
paths:
  /v1/orders/bulk/{id}:
    get:
      tags:
        - Order
      summary: Get response from asynchronous bulk order operation
      description: >-
        Retrieve the results of a previously submitted bulk order operation.
        Returns the status and individual results for each order in the batch.
      operationId: get_orders_bulk_response_v1_orders_bulk__string_id__get
      parameters:
        - name: id
          in: path
          description: The ID of the bulk operation
          required: true
          schema:
            title: Id
            type: string
            description: The ID of the bulk operation
            example: act_1234567890
          example: act_1234567890
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBulkOperationResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NashValidationError'
components:
  schemas:
    GetBulkOperationResponse:
      title: GetBulkOperationResponse
      required:
        - status
        - summary
        - results
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ActivityStatus'
          description: The status of the bulk operation
          example: SUCCESS
        summary:
          $ref: '#/components/schemas/BulkOperationSummary'
          description: The summary of the bulk operation
          example:
            failedOperations: 1
            successfulOperations: 4
            totalOperations: 5
        results:
          title: Results
          type: array
          items:
            $ref: '#/components/schemas/BulkOperationResult'
          description: The results of the bulk operation
          example:
            - action: upsert
              errorMessage: null
              id: ord_1234567890
              status: success
            - action: delete
              errorMessage: null
              id: ord_0987654321
              status: success
            - action: delete
              errorMessage: >-
                order with id or external_id 'ord_fake_does_not_exist' does not
                exist, error_code=MISSING_RESOURCE
              id: ord_fake_does_not_exist
              status: error
      description: Bulk Operation Response for Orders.
    NashValidationError:
      title: NashValidationError
      required:
        - error
        - response_status
        - RequestID
      type: object
      properties:
        error:
          $ref: '#/components/schemas/NashErrorDetails'
        response_status:
          title: Response Status
          type: string
        RequestID:
          title: Requestid
          type: string
    ActivityStatus:
      title: ActivityStatus
      enum:
        - QUEUED
        - IN_PROGRESS
        - SUCCESS
        - FAILED
        - CANCELLED
        - SKIPPED
        - SCHEDULED
      type: string
      description: Status of an activity.
    BulkOperationSummary:
      title: BulkOperationSummary
      required:
        - totalOperations
        - successfulOperations
        - failedOperations
      type: object
      properties:
        totalOperations:
          title: Totaloperations
          type: integer
          description: The total number of operations in the bulk operation
          example: 5
        successfulOperations:
          title: Successfuloperations
          type: integer
          description: The number of successful operations in the bulk operation
          example: 4
        failedOperations:
          title: Failedoperations
          type: integer
          description: The number of failed operations in the bulk operation
          example: 1
    BulkOperationResult:
      title: BulkOperationResult
      required:
        - id
        - status
        - action
      type: object
      properties:
        id:
          title: Id
          type: string
          description: The ID of the order.
          example: ord_1234567890
        status:
          $ref: '#/components/schemas/BulkActionStatus'
          description: The status of the bulk operation
          example: success
        action:
          title: Action
          enum:
            - create
            - upsert
            - update
            - delete
          type: string
          description: The action of the bulk operation
          example: create
        errorMessage:
          title: Errormessage
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The error message of the bulk operation (will be populated with
            error message if the operation failed)
          default: null
    NashErrorDetails:
      title: NashErrorDetails
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: string
        message:
          title: Message
          type: string
        details:
          title: Details
          anyOf:
            - type: object
              additionalProperties: true
            - type: 'null'
          default: null
    BulkActionStatus:
      title: BulkActionStatus
      enum:
        - success
        - error
      type: string

````